AnsweredAssumed Answered

install QT5 on Linaro-Ubuntu

Question asked by hj park on Jul 19, 2016
Latest reply on Jul 21, 2016 by hj park

In order to install QT5 on my Linaro-Ubuntu running on IMX6, I run this command on 5.6 and 5.7..


./configure -opengl es2 -device linux-imx6-g++ -device-option CROSS_COMPILE=/opt/gcc-linaro-4.9-2015.02-3-x86_64_arm-linux-gnueabihf/bin/arm-linux-gnueabihf- -sysroot ~/rootfs -prefix /usr/local/qt5 -opensource -confirm-license -optimized-qmake -reduce-exports -release -make libs -prefix /usr/local/qt5 -v

but, I always face so many errors.  it is one of them but all errors are related with includes

/opt/gcc-linaro-4.9-2015.02-3-x86_64_arm-linux-gnueabihf/bin/arm-linux-gnueabihf-g++ -c -pipe -march=armv7-a -mfpu=neon -DLINUX=1 -DEGL_API_FB=1 -mfloat-abi=hard --sysroot=/home/smart/rootfs -O2 -Wall -W -fPIC -I. -I../../../mkspecs/devices/linux-imx6-g++ -o opengles2.o opengles2.cpp
opengles2.cpp:37:25: fatal error: GLES2/gl2.h: No such file or directory
#include <GLES2/gl2.h>
^
compilation terminated.
make: *** [opengles2.o] Error 1
OpenGL ES 2.0 disabled.
The OpenGL ES 2.0 functionality test failed!
You might need to modify the include and library search paths by editing
QMAKE_INCDIR_OPENGL_ES2, QMAKE_LIBDIR_OPENGL_ES2 and QMAKE_LIBS_OPENGL_ES2 in
/home/smart/Qt/5.6/Src/qtbase/mkspecs/devices/linux-imx6-g++.

I don't understand why QT5 is so stupid as he doesn't find inc files what are already in his own Src tree.

Do you have any complete guy for installing QT5 into Linaro-Ubuntu? thanks..

Outcomes